function getBkHdpDetailUrl(n, t, i, r) {
    return _basketballWebDomain + `${toThaiUri('team')}/${toThaiUri('handicapdetail')}?sclassid=` + n + "&teamid=" + t + "&matchseason=" + i + "&halforall=" + r
}

function getBkOuDetailUrl(n, t, i, r) {
    return _basketballWebDomain + `${toThaiUri('team')}/${toThaiUri('ouhandicapdetail')}?sclassid=` + n + "&teamid=" + t + "&matchseason=" + i + "&halforall=" + r
}

function getBkTeamUrl(n) {
    return _basketballWebDomain + `${toThaiUri('team')}/${toThaiUri('summary')}/` + n
}

function openBkTeam(n) {
    window.open(getBkTeamUrl(n))
}

function getFbTeamUrl(n) {
    return `/${toThaiUri('team')}/${toThaiUri('summary')}/` + n
}

function openFbTeam(n) {
    window.open(getFbTeamUrl(n))
}

function getFbPanluUrl(n, t) {
    var i = `/${toThaiUri('soccer')}/${toThaiUri('oddsstats')}/` + n;
    return typeof t != "undefined" && t != "" && (i += "?cid=" + t), i
}

function openFbPanlu(n, t) {
    window.open(getFbPanluUrl(n, t), "", "scrollbars=yes,resizable=yes,width=662, height=650,left=50,top=100")
}

function getHistoryCornerUrl(n) {
    return `/${toThaiUri('history')}/${toThaiUri('corner')}/` + n
}

function openHistoryCornerUrl(n) {
    window.open(getHistoryCornerUrl(n))
}

function SetShuntingFav() {
    var n = "http://202.129.16.138:877/navigator.htm";
    try {
        window.external.addFavorite(n, "Nowgoal Navigator")
    } catch (t) {
        window.open(n)
    }
}

function overDropDownBG(n) {
    n.style.backgroundColor = "#359B7A"
}

function settingDiff() {
    typeof _settingObj != "undefined" && (_settingObj.forAllMatch = !1)
}

function simplePage() {
    var t, n;
    if (typeof cnzzModel != "undefined" && cnzzModel.cnz == 5) {
        for ($(".loginBox").css("display", "none"), $(".liveOddsFilter").css("display", "none"), t = $(".tvLinkBtn"), n = 0; n < t.length; n++) t[n].innerHTML = "&nbsp;";
        typeof _settingObj != "undefined" && (_settingObj.showCorner = !1)
    }
}

function loadStatsCode() {
    var n = [], r = window.location.href, t, u, i;
    for (r.indexOf("/pc1.shtml") != -1 ? n.push("https://hm.baidu.com/hm.js?528ba96a7c33cf4d1bf248ab5025067e") : r.indexOf("/pc2.shtml") != -1 && n.push("https://hm.baidu.com/hm.js?ebca5b18625afd6a876464293953f73f"), t = 0; t < n.length; t++) u = n[t], i = document.createElement("script"), i.type = "text/javascript", i.src = u, document.getElementById("tongji").appendChild(i)
}

function defaultFavLeague() {
    if (getCookie(_favLeagueKey) == null) Config.setFavLeagueIds([])
}

function OddsCompanySelect() {
    return ["<option value='100'>K - Sport<\/option>\",<option value='31'>Sbobet<\/option>", "<option value='8'>BET365<\/option>", "<option value= '4' > Ladbrokes<\/option>", "<option value='3'>Crown<\/option>", "<option value='24'>12BET<\/option>", "<option value='23'>188BET<\/option>", "<option value='17'>M88<\/option>", "<option value='22'>10BET<\/option>"]
}

function OddsCompanySelectMobile() {
    return [
        "<div class='option cursor-pointer' value='100'>K - Sport<\/div>",
        "<div class='option cursor-pointer' value='31'>Sbobet<\/div>",
        "<div class='option cursor-pointer' value='8'>BET365<\/div>",
        "<div class='option cursor-pointer' value= '4' > Ladbrokes<\/div>",
        "<div class='option cursor-pointer' value='3'>Crown<\/div>",
        "<div class='option cursor-pointer' value='24'>12BET<\/div>",
        "<div class='option cursor-pointer' value='23'>188BET<\/div>",
        "<div class='option cursor-pointer' value='17'>M88<\/div>",
        "<div class='option cursor-pointer' value='22'>10BET<\/div>"
    ];
}

typeof Config != "undefined" && setTimeout("defaultFavLeague()")
